package xyz.wbsite.dbtool.javafx.ctrl;

import javafx.fxml.FXML;
import javafx.scene.control.CheckBox;
import javafx.scene.control.TextField;
import javafx.scene.control.ToggleGroup;

public class DetailProjectController {

    @FXML
    private TextField name;
    @FXML
    private TextField domain;
    @FXML
    private TextField author;
    @FXML
    private ToggleGroup frame;
    @FXML
    private ToggleGroup database;
    @FXML
    private CheckBox needMordDB;
    @FXML
    private CheckBox needCloud;
    @FXML
    private CheckBox needAsync;
    @FXML
    private CheckBox needMail;

    public TextField getName() {
        return name;
    }

    public void setName(TextField name) {
        this.name = name;
    }

    public TextField getDomain() {
        return domain;
    }

    public void setDomain(TextField domain) {
        this.domain = domain;
    }

    public TextField getAuthor() {
        return author;
    }

    public void setAuthor(TextField author) {
        this.author = author;
    }

    public ToggleGroup getDatabase() {
        return database;
    }

    public void setDatabase(ToggleGroup database) {
        this.database = database;
    }

    public CheckBox getNeedMordDB() {
        return needMordDB;
    }

    public void setNeedMordDB(CheckBox needMordDB) {
        this.needMordDB = needMordDB;
    }

    public CheckBox getNeedCloud() {
        return needCloud;
    }

    public void setNeedCloud(CheckBox needCloud) {
        this.needCloud = needCloud;
    }

    public CheckBox getNeedAsync() {
        return needAsync;
    }

    public void setNeedAsync(CheckBox needAsync) {
        this.needAsync = needAsync;
    }

    public CheckBox getNeedMail() {
        return needMail;
    }

    public void setNeedMail(CheckBox needMail) {
        this.needMail = needMail;
    }

    public ToggleGroup getFrame() {
        return frame;
    }

    public void setFrame(ToggleGroup frame) {
        this.frame = frame;
    }
}
